> For the complete documentation index, see [llms.txt](https://docs.release.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.release.com/cli/release/development/start.md).

# release development start

Command reference doc for the Release CLI

Start developing in a remote development environment

## Description

This is used to enable synced mounts and port forwards to enable remote development.

First configure your environment for remote development. <https://docs.release.com/reference-documentation/application-settings/application-template/schema-definition#development-environments>

Then run this command with the --envId and --appId flags set.

If everything is configured correctly, this command will open the specified port forwards, start syncing the specified folder syncs, start the desired command on each service, and stream the output of each command to \~/.release/dev/:appId/:service-name.log

```
release development start [flags]
```

## Options

| `--account <string>`     | Account name or ID (default: $RELEASE\_ACCOUNT or "account" in config file) |
| ------------------------ | --------------------------------------------------------------------------- |
| `--app <string>`         | App name or ID (default: $RELEASE\_APP or "app" in config file)             |
| `--environment <string>` | Environment handle or ID                                                    |
| `-s`, `--service-logs`   | Show service logs                                                           |

## Options inherited from parent commands

| `--config <string>` | config file (default is $HOME/.release.yaml) |
| ------------------- | -------------------------------------------- |
| `--debug`           | enable debug logging                         |

## Related

* [release development](/cli/release/development.md) - Work with remote development environments


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.release.com/cli/release/development/start.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
